Package org.jacoco.report.internal.html.page

## Class TablePage<NodeType extends ICoverageNode>

- java.lang.Object
- - org.jacoco.report.internal.html.page.ReportPage
  - - org.jacoco.report.internal.html.page.NodePage<NodeType>
    - - org.jacoco.report.internal.html.page.TablePage<NodeType>

Type Parameters:
  `NodeType` - type of the node represented by this page

All Implemented Interfaces:
  `ILinkable`, `ITableItem`

Direct Known Subclasses:
  `BundlePage`, `ClassPage`, `GroupPage`, `PackagePage`, `PackageSourcePage`

    public abstract class TablePage<NodeType extends ICoverageNode>
    extends NodePage<NodeType>

Report page that contains a table of items linked to other pages.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.html.page.ReportPage

`context, folder`

### Constructor Summary

Constructors
`protected` `TablePage​(NodeType node, ReportPage parent, ReportOutputFolder folder, IHTMLReportContext context)` Creates a new node page.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem​(ITableItem item)` Adds the given item to the table.
`protected void` `content​(HTMLElement body)` Creates the actual content of the page.
`protected void` `head​(HTMLElement head)` Creates the elements within the head element.

### Methods inherited from class org.jacoco.report.internal.html.page.NodePage

`getLinkLabel, getLinkStyle, getNode`

### Methods inherited from class org.jacoco.report.internal.html.page.ReportPage

`getFileName, getLink, getOnload, infoLinks, isRootPage, render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jacoco.report.internal.html.ILinkable

`getLink`

### Constructor Detail

#### TablePage

    protected TablePage​(NodeType node,
                        ReportPage parent,
                        ReportOutputFolder folder,
                        IHTMLReportContext context)

Creates a new node page.

Parameters:
  `node` - corresponding node
  `parent` - optional hierarchical parent
  `folder` - base folder to create this report in
  `context` - settings context

### Method Detail

#### addItem

    public void addItem​(ITableItem item)

Adds the given item to the table. Method must be called before the page is rendered.

Parameters:
  `item` - table item to add

#### head

    protected void head​(HTMLElement head)
                 throws java.io.IOException

Description copied from class: `ReportPage`
Creates the elements within the head element.

Overrides:
  `head` in class `ReportPage`
Parameters:
  `head` - head tag of the page
Throws:
  `java.io.IOException` - in case of IO problems with the report writer

#### content

    protected void content​(HTMLElement body)
                    throws java.io.IOException

Description copied from class: `ReportPage`
Creates the actual content of the page.

Specified by:
  `content` in class `ReportPage`
Parameters:
  `body` - body tag of the page
Throws:
  `java.io.IOException` - in case of IO problems with the report writer